package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsProduceCheck;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0生产检验检疫登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
public interface IJsProduceCheckService extends IService<JsProduceCheck> {


    AjaxResult add(JsProduceCheck produceCheck);

    AjaxResult edit(JsProduceCheck produceCheck);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String animalCertNo);

    AjaxResult listAll();
}
